@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800&display=swap');

.hexagon-gallery {
  margin-left: -1.25rem;
  margin-right: -1.25rem; 
  padding-left: 0.5rem;
}

.honeycomb {
  font-family: 'Poppins', sans-serif;
  display: -webkit-box;
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  -webkit-box-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  align-items: center;
  max-width: 890px;
  margin: 0 auto;
  padding: 0;
  transform: translateY(80px);
}

ul.honeycomb {
  list-style: none;
  }

.honeycomb-cell {
  -webkit-box-flex: 0;
  flex: 0 1 200px;
  max-width: 200px;
  height: 112px;
  position: relative;
  padding: 0.5em;
  text-align: center;
  z-index: 1;
  box-shadow: 0 0 15px 0 rgba(0,0,0,0.1);
}
.honeycomb-cell_img {
  object-fit: cover;
  object-position: center;
  filter: grayscale(100%);
}
.honeycomb-cell_title {
  height: 100%;
  display: -webkit-box;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  flex-direction: column;
  -webkit-box-pack: center;
  justify-content: center;
  -webkit-hyphens: auto;
  hyphens: auto;
  word-break: break-word;
  text-transform: uppercase;
  color: #fff;
  font-weight: 700;
  font-size: 1.75em;
  transition: opacity 350ms;
}
.honeycomb-cell_title > small {
  font-weight: 300;
  margin-top: 0.25em;
}
.honeycomb-cell_title > span.small-xs {
  font-size: 0.9em;
  font-weight: 300;
  margin-top: 0.25em;
}
.honeycomb-cell::before,
.honeycomb-cell::after {
  content: '';
}
.honeycomb-cell::before,
.honeycomb-cell::after,
.honeycomb-cell_img {
  top: -50%;
  left: 0;
  width: 100%;
  height: 200%;
  display: block;
  position: absolute;
  clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
  z-index: -1;
}
.honeycomb-cell::before {
  background: #fff;
  transform: scale(1.055);
}
.honeycomb-cell::after {
  background: #007a2a;  /* color covering icon before hover */
  opacity: 0.7;
  transition: opacity 350ms;
  -webkit-transition: opacity 350ms;
}
.honeycomb-cell:hover .honeycomb-cell_title > small {
  opacity: 1;
  font-weight: 600;
}
.honeycomb-cell:hover .honeycomb-cell_title > span.small-xs { /* leichtathletik */
  font-size: 0.8em;
  font-weight: 500;
}

.honeycomb-cell:hover
.honeycomb-cell_img {
  filter: grayscale(0%);
}

.honeycomb-cell:hover::before {
  background: rgb(2, 102, 3, 0.8); /* green #026603 */
}

.honeycomb-cell:hover::after {
  opacity: 0;
}

.honeycomb_hidden {
  display: none;
  opacity: 0;
  width: 200px;
  margin: 0 6px;
}


/****** Responsive *******/

/* Less than or equal to 360px */
@media (width <= 360px) {
  ul.honeycomb {
    margin-top: -170px; /* distance to heading - less negative margin increases distance */
    margin-bottom: 76px;
  }
  ul.honeycomb li {
   margin: 130px 4px 0; /* distance of next row - more top margin increases distance */
  }
}

/* Between 361px and 400px */
@media (361px <= width <= 400px) {
  ul.honeycomb {
    margin-top: -160px; /* distance to heading */
    margin-bottom: 74px;
  }
  ul.honeycomb li {
   margin: 130px 4px 0; /* distance of next row */
  }
}

@media (min-width: 401px) {
  ul.honeycomb {
   margin-top: -140px; /* distance to heading */
   margin-bottom: 100px;
  }
  .honeycomb-cell {
   margin: 128px 4px 0; /* distance of next row */
  }
}

@media (min-width: 1401px) {
  ul.honeycomb {
   margin-top: -90px; /* distance to heading */
   margin-bottom: 180px;
  }
  .honeycomb-cell {
   margin: 63px 4px 0; /* distance of next row */
  }
}
/*
@media (max-width: 550px) {
  
  .honeycomb-cell   {
    margin: 81.25px 25px;
    }
}
*/

/*
@media (min-width: 550px) and (max-width: 825px) {
  ul.honeycomb {
    margin-top:-50px;
  }
  .honeycomb-cell:nth-child(2n)   {
    margin-top: calc(50% - 125px);
  }
  .honeycomb-cell:nth-child(3n)   {
    margin-right: calc(50% - 125px);
    margin-left: calc(50% - 125px);
  }

  .honeycomb_Hidden:nth-child(3n + 5) {
    display: block;
  }
}
*/

/*
@media (min-width: 825px) and (max-width: 1100px) {
 
  .honeycomb-cell:nth-child(5n + 4) {
    margin-top: 100px;
    margin-left: calc(50% - 275px);
  }

  .honeycomb-cell:nth-child(5n + 5) {
    margin-right: calc(50% - 275px);
  }

  .honeycomb_hidden:nth-child(5n), 
  .honeycomb_hidden:nth-child(5n + 3) {
    display: block;
  }
}
*/

/*
@media (min-width: 1100px) {
  .honeycomb-cell:nth-child(7n + 5) {
    margin-left: calc(50% - 400px);
  }

  .honeycomb-cell:nth-child(7n + 7), 
  .honeycomb-cell:nth-child(7n + 5):nth-last-child(2) {
    margin-right: calc(50% - 400px);
  }

  .honeycomb_hidden:nth-child(7n + 7), 
  .honeycomb_hidden:nth-child(7n + 9), 
  .honeycomb_hidden:nth-child(7n + 11) {
    display: block;
  }
}
*/



